GET /builds/{job_id}/artifacts
List a build's artefacts
API key (Bearer), on the public API endpoint.
Parameters
| Name | In | Type | Description |
|---|---|---|---|
job_id | path | string · required |
Responses
| Status | Description | Body |
|---|---|---|
200 | Artefacts stripped of any storage reference | ArtifactListResponse |
403 | scope_missing (artifact:read) | |
404 | build_not_found | |
503 | artifact_projection_invalid |
Examples
curl
curl -X GET "$GALON_API_BASE/builds/<job_id>/artifacts" \
-H "Authorization: Bearer $GALON_API_KEY"Node.js (SDK)
import { Galon } from "galon";
const galon = new Galon(process.env.GALON_API_KEY);
const result = await galon.artifacts.list("<id>", { limit: 20 });Python (SDK)
from galon import Galon
galon = Galon() # reads GALON_API_KEY
result = galon.artifacts.list("<id>", {"limit": 20})